### 1.55 `sqrt`, `sqrtf`—positive square root ¶

Synopsis

    #include <math.h>
    double sqrt(double x);
    float  sqrtf(float x);

Description
`sqrt` computes the positive square root of the argument.

Returns
On success, the square root is returned. If x is real and positive, then the result is positive. If x is real and negative, the global value `errno` is set to `EDOM` (domain error).

Portability
`sqrt` is ANSI C. `sqrtf` is an extension.